org.apache.activemq.artemis.jms.bridge

## Class ActiveMQJMSBridgeLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.jms.bridge.ActiveMQJMSBridgeLogger_$logger

- All Implemented Interfaces:
    Serializable, ActiveMQJMSBridgeLogger, org.jboss.logging.BasicLogger

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2021-10-11T13:53:29-0500")
      public class ActiveMQJMSBridgeLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJMSBridgeLogger, org.jboss.logging.BasicLogger, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.bridge.ActiveMQJMSBridgeLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQJMSBridgeLogger_$logger(org.jboss.logging.Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bridgeAckError(Exception e, String bridgeName)`
    `protected String` | `bridgeAckError$str()`
    `void` | `bridgeConnected(String bridgeName)`
    `protected String` | `bridgeConnected$str()`
    `void` | `bridgeConnectError(Exception e, String bridgeName)`
    `protected String` | `bridgeConnectError$str()`
    `void` | `bridgeFailure(Exception e, String bridgeName)`
    `protected String` | `bridgeFailure$str()`
    `void` | `bridgeNotStarted(String bridgeName)`
    `protected String` | `bridgeNotStarted$str()`
    `void` | `bridgeReconnected(String bridgeName)`
    `protected String` | `bridgeReconnected$str()`
    `void` | `bridgeRetry(long failureRetryInterval, String bridgeName)`
    `protected String` | `bridgeRetry$str()`
    `void` | `errorBridgeAlreadyStarted(String bridgeName)`
    `protected String` | `errorBridgeAlreadyStarted$str()`
    `void` | `errorConnectingBridge(String bridgeName)`
    `protected String` | `errorConnectingBridge$str()`
    `void` | `errorStartingBridge(String bridgeName)`
    `protected String` | `errorStartingBridge$str()`
    `void` | `errorUnregisteringBridge(ObjectName objectName, String bridgeName)`
    `protected String` | `errorUnregisteringBridge$str()`
    `void` | `failedToSetUpBridge(long failureRetryInterval, String bridgeName)`
    `protected String` | `failedToSetUpBridge$str()`
    `protected Locale` | `getLoggingLocale()`
    `void` | `jmsBridgeSrcConnectError(Exception e, String bridgeName)`
    `protected String` | `jmsBridgeSrcConnectError$str()`
    `void` | `jmsBridgeTransactionManagerMissing(QualityOfServiceMode qosMode, String bridgeName)`
    `protected String` | `jmsBridgeTransactionManagerMissing$str()`
    `void` | `transactionRolledBack(Exception e)`
    `protected String` | `transactionRolledBack$str()`

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJMSBridgeLogger_$logger

          public ActiveMQJMSBridgeLogger_$logger(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### failedToSetUpBridge

          public final void failedToSetUpBridge(long failureRetryInterval,
                                                String bridgeName)

      Specified by:
        `failedToSetUpBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### failedToSetUpBridge$str

          protected String failedToSetUpBridge$str()

    - #### bridgeReconnected

          public final void bridgeReconnected(String bridgeName)

      Specified by:
        `bridgeReconnected` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeReconnected$str

          protected String bridgeReconnected$str()

    - #### bridgeConnected

          public final void bridgeConnected(String bridgeName)

      Specified by:
        `bridgeConnected` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeConnected$str

          protected String bridgeConnected$str()

    - #### errorBridgeAlreadyStarted

          public final void errorBridgeAlreadyStarted(String bridgeName)

      Specified by:
        `errorBridgeAlreadyStarted` in interface `ActiveMQJMSBridgeLogger`

    - #### errorBridgeAlreadyStarted$str

          protected String errorBridgeAlreadyStarted$str()

    - #### errorStartingBridge

          public final void errorStartingBridge(String bridgeName)

      Specified by:
        `errorStartingBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### errorStartingBridge$str

          protected String errorStartingBridge$str()

    - #### errorUnregisteringBridge

          public final void errorUnregisteringBridge(ObjectName objectName,
                                                     String bridgeName)

      Specified by:
        `errorUnregisteringBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### errorUnregisteringBridge$str

          protected String errorUnregisteringBridge$str()

    - #### errorConnectingBridge

          public final void errorConnectingBridge(String bridgeName)

      Specified by:
        `errorConnectingBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### errorConnectingBridge$str

          protected String errorConnectingBridge$str()

    - #### bridgeRetry

          public final void bridgeRetry(long failureRetryInterval,
                                        String bridgeName)

      Specified by:
        `bridgeRetry` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeRetry$str

          protected String bridgeRetry$str()

    - #### bridgeNotStarted

          public final void bridgeNotStarted(String bridgeName)

      Specified by:
        `bridgeNotStarted` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeNotStarted$str

          protected String bridgeNotStarted$str()

    - #### bridgeFailure

          public final void bridgeFailure(Exception e,
                                          String bridgeName)

      Specified by:
        `bridgeFailure` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeFailure$str

          protected String bridgeFailure$str()

    - #### bridgeAckError

          public final void bridgeAckError(Exception e,
                                           String bridgeName)

      Specified by:
        `bridgeAckError` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeAckError$str

          protected String bridgeAckError$str()

    - #### bridgeConnectError

          public final void bridgeConnectError(Exception e,
                                               String bridgeName)

      Specified by:
        `bridgeConnectError` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeConnectError$str

          protected String bridgeConnectError$str()

    - #### transactionRolledBack

          public final void transactionRolledBack(Exception e)

      Specified by:
        `transactionRolledBack` in interface `ActiveMQJMSBridgeLogger`

    - #### transactionRolledBack$str

          protected String transactionRolledBack$str()

    - #### jmsBridgeSrcConnectError

          public final void jmsBridgeSrcConnectError(Exception e,
                                                     String bridgeName)

      Specified by:
        `jmsBridgeSrcConnectError` in interface `ActiveMQJMSBridgeLogger`

    - #### jmsBridgeSrcConnectError$str

          protected String jmsBridgeSrcConnectError$str()

    - #### jmsBridgeTransactionManagerMissing

          public final void jmsBridgeTransactionManagerMissing(QualityOfServiceMode qosMode,
                                                               String bridgeName)

      Specified by:
        `jmsBridgeTransactionManagerMissing` in interface `ActiveMQJMSBridgeLogger`

    - #### jmsBridgeTransactionManagerMissing$str

          protected String jmsBridgeTransactionManagerMissing$str()

Copyright © 2021 The Apache Software Foundation. All rights reserved.